#include <bits/stdc++.h>
#define MAXN 20010
using namespace std;
int a[MAXN];
int main()
{
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int n,k;
    cin >> n >> k;
    for (int i=1;i<=n;i++)
        cin >> a[i];
    for (int i=1;i<=n;i++)
    {
        if (a[i]==k)
        {
            if (i==n)
                cout << a[1] << "\n";
            else
                cout << a[i+1] << "\n";
            return 0;
        }
    }
    return 0;
}